aboutsummaryrefslogtreecommitdiffstats
Commit message (Collapse)AuthorAgeFilesLines
...
* cornucopia: bump SRCREV a bit for fsodeviced build fixMartin Jansa2011-03-231-1/+1
| | | | Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* gmpc 0.20.0 : bump PR after gob2 fixDenis 'GNUtoo' Carikli2011-03-231-1/+1
| | | | | | | | | The commit 5c856dbb35d02f91d8b535b8a538cef082b3a0b0 ( gob2 and gob2-native: delete version 2.0.14 ) fixes GMPC compilation, so we need to bump GMPC PR to make it rebuild and not fail. Signed-off-by: Denis 'GNUtoo' Carikli <GNUtoo@no-log.org>
* gob2 and gob2-native: delete version 2.0.14Denis 'GNUtoo' Carikli2011-03-232-25/+0
| | | | | | | | | | | | | | | | | | | | | | Without that the old(2.0.14) version get chosen for native, which makes gmpc fail to compile: From #gmpc on Freenode on irc: Mar 23 12:33:02 <DaveDavenport> GNUtoo|bug20: I t hink you need to update gob2 Mar 23 12:33:09 <DaveDavenport> there was a bug in one of the releases Mar 23 12:33:23 <GNUtoo|bug20> ok Mar 23 12:33:24 <DaveDavenport> that it created the wrong namespaces because of a stupid buffer overflow The result beeing the following compilation failure: ./gmpc-meta-watcher.h:57:17: error: expected '=', ',', ';', 'asm' or '__attribute__' before '*' token where the line 57 is: GmpcMetaWatcher * gmpc_meta_watcher_new (void);' with GmpcMetaWatcher beeing defined nowhere in the .c or .h source files gob2 2.0.14 is also deleted by this commit: From #oe on Freenode on irc: Mar 23 12:47:13 <GNUtoo|bug20> I remove the normal non-native one too? Mar 23 12:47:18 <eFfeM_work> yes please Signed-off-by: Denis 'GNUtoo' Carikli <GNUtoo@no-log.org>
* eeze: fix checksumsMartin Jansa2011-03-231-2/+2
| | | | | | | | | | | | | | | | | | | | | | | | | | | | | | * changed upstream :/ reconfigured with GNU Autoconf 2.68 instead of GNU Autoconf 2.65 bitbake@jama ~/downloads $ diff -rq eeze-old/ eeze-new/ Files eeze-old//eeze-1.0.0/Makefile.am and eeze-new//eeze-1.0.0/Makefile.am differ Files eeze-old//eeze-1.0.0/Makefile.in and eeze-new//eeze-1.0.0/Makefile.in differ Files eeze-old//eeze-1.0.0/aclocal.m4 and eeze-new//eeze-1.0.0/aclocal.m4 differ Files eeze-old//eeze-1.0.0/compile and eeze-new//eeze-1.0.0/compile differ Files eeze-old//eeze-1.0.0/config.guess and eeze-new//eeze-1.0.0/config.guess differ Files eeze-old//eeze-1.0.0/config.sub and eeze-new//eeze-1.0.0/config.sub differ Files eeze-old//eeze-1.0.0/configure and eeze-new//eeze-1.0.0/configure differ Files eeze-old//eeze-1.0.0/configure.ac and eeze-new//eeze-1.0.0/configure.ac differ Files eeze-old//eeze-1.0.0/depcomp and eeze-new//eeze-1.0.0/depcomp differ Files eeze-old//eeze-1.0.0/doc/Makefile.in and eeze-new//eeze-1.0.0/doc/Makefile.in differ Only in eeze-new//eeze-1.0.0: eeze.spec.in Files eeze-old//eeze-1.0.0/install-sh and eeze-new//eeze-1.0.0/install-sh differ Files eeze-old//eeze-1.0.0/ltmain.sh and eeze-new//eeze-1.0.0/ltmain.sh differ Files eeze-old//eeze-1.0.0/m4/libtool.m4 and eeze-new//eeze-1.0.0/m4/libtool.m4 differ Files eeze-old//eeze-1.0.0/m4/ltoptions.m4 and eeze-new//eeze-1.0.0/m4/ltoptions.m4 differ Files eeze-old//eeze-1.0.0/m4/ltversion.m4 and eeze-new//eeze-1.0.0/m4/ltversion.m4 differ Files eeze-old//eeze-1.0.0/m4/lt~obsolete.m4 and eeze-new//eeze-1.0.0/m4/lt~obsolete.m4 differ Files eeze-old//eeze-1.0.0/missing and eeze-new//eeze-1.0.0/missing differ Files eeze-old//eeze-1.0.0/src/Makefile.in and eeze-new//eeze-1.0.0/src/Makefile.in differ Files eeze-old//eeze-1.0.0/src/bin/Makefile.in and eeze-new//eeze-1.0.0/src/bin/Makefile.in differ Files eeze-old//eeze-1.0.0/src/lib/Makefile.in and eeze-new//eeze-1.0.0/src/lib/Makefile.in differ Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* evas, pango, llvm-native: drop empty PACKAGES_DYNAMIC_virtclass-native as ↵Martin Jansa2011-03-233-4/+0
| | | | | | | it's in native.bbclass now Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com> Acked-by: Khem Raj <raj.khem@gmail.com>
* cornucopia: bump SRCREVSimon Busch2011-03-231-1/+1
| | | | Signed-off-by: Simon Busch <morphis@gravedo.de>
* fsodeviced: add libfsosystem as dependency and bump PRSimon Busch2011-03-231-1/+1
| | | | Signed-off-by: Simon Busch <morphis@gravedo.de>
* libfsosystem: add initial recipeSimon Busch2011-03-231-0/+6
| | | | Signed-off-by: Simon Busch <morphis@gravedo.de>
* fsoaudiod: several updates to the recipe to be usefullSimon Busch2011-03-232-3/+67
| | | | | | | | | | - install daemon initscript - add dependency on alsa-lib - add extra package for daemon config files - add note about deactivate PROVIDER of openmoko-alsa-scenarios and virtual/scenarios - change PV to 0.1.0 and bump PE as version was 0.9.6 before Signed-off-by: Simon Busch <morphis@gravedo.de>
* linux: upddate 2.6.30 defconfig for tosa (fb font size).Andrea Adami2011-03-231-2/+2
| | | | | | | * use 8x16 fonts as other defconfigs * Deprecated: 2.6.38 is in testing Signed-off-by: Andrea Adami <andrea.adami@gmail.com>
* linux-kexecboot: edit fb font size in older 2.6.2x kernels.Andrea Adami2011-03-233-6/+6
| | | | | | | * bootlogo should now be shown on collie and poodle * tosa has height 640! Increase font size to 8x16. Signed-off-by: Andrea Adami <andrea.adami@gmail.com>
* linux-kexecboot: edit fb font size for collie and poodle in 2.6.38.Andrea Adami2011-03-232-4/+4
| | | | | | | * 4x6 somehow inhibits kernel bootlogo (black screen) * 8x8 is fine on those devices Signed-off-by: Andrea Adami <andrea.adami@gmail.com>
* linux-kexecboot: remove obsolete 2.6.38-rc8 defconfigs in _git.Andrea Adami2011-03-236-8577/+0
| | | | | | * Let placeholder for the next 2.6.38+2.6.39-rc1. Signed-off-by: Andrea Adami <andrea.adami@gmail.com>
* linux: remove unsupported 2.6.37 Zaurus defconfigs. We test 2.6.38 now.Andrea Adami2011-03-234-9742/+0
| | | | Signed-off-by: Andrea Adami <andrea.adami@gmail.com>
* linux: edit fb font size for collie and poodle in 2.6.38.Andrea Adami2011-03-232-4/+4
| | | | | | | * 4x6 somehow inhibits kernel bootlogo (black screen) * 8x8 is fine on those devices Signed-off-by: Andrea Adami <andrea.adami@gmail.com>
* gsoap_2.7.13 build errors, amendmentPeter Gsellmann2011-03-222-6/+5
| | | | | | | | | [amendment to d641ae6bfd4303508c86db9285c2dcba28fb5474] recipes reformatted, removed tab characters Signed-off-by: Peter Gsellmann <pgsellmann@portner-elektronik.at> Acked-by: Paul Menzel <paulepanter@users.sourceforge.net> Signed-off-by: Khem Raj <raj.khem@gmail.com>
* libarchive: Requires libxml2Kartik Mohta2011-03-221-0/+2
| | | | | Signed-off-by: Kartik Mohta <kartikmohta@gmail.com> Signed-off-by: Khem Raj <raj.khem@gmail.com>
* vlc (1.1.4.1): depends on lua5.1Otavio Salvador2011-03-221-2/+2
| | | | | Signed-off-by: Otavio Salvador <otavio@ossystems.com.br> Signed-off-by: Khem Raj <raj.khem@gmail.com>
* vlc: use INC_PROtavio Salvador2011-03-226-4/+8
| | | | | Signed-off-by: Otavio Salvador <otavio@ossystems.com.br> Signed-off-by: Khem Raj <raj.khem@gmail.com>
* flash-plugin: update to 10.2.153.1Otavio Salvador2011-03-221-0/+6
| | | | | Signed-off-by: Otavio Salvador <otavio@ossystems.com.br> Signed-off-by: Khem Raj <raj.khem@gmail.com>
* wrapper/install: add -t supportOtavio Salvador2011-03-221-2/+2
| | | | | Signed-off-by: Otavio Salvador <otavio@ossystems.com.br> Signed-off-by: Khem Raj <raj.khem@gmail.com>
* fennec: Make it build on ARM eglibc/uclibcKhem Raj2011-03-2210-26/+558
| | | | | | | | | | | | | | | This patchset enables fennec to build again Upgrades to latest release tag Bunch of patches to fix uclibc build Disable few options notably --disable-elf-hack Add -L<sysroot>/usr/lib to LDFLAGS otherwise make tried to find the libs in /usr/lib Signed-off-by: Khem Raj <raj.khem@gmail.com>
* cairo_1.10.0.bb: Fennec will now need tee support in cairo so enable itKhem Raj2011-03-222-2/+2
| | | | Signed-off-by: Khem Raj <raj.khem@gmail.com>
* yasm: Upgrade yasm_0.7.2.bb -> yasm_1.1.0.bbKhem Raj2011-03-221-4/+4
| | | | Signed-off-by: Khem Raj <raj.khem@gmail.com>
* uclibc-git: Add FTS support and update to -rc3Khem Raj2011-03-223-2/+1379
| | | | Signed-off-by: Khem Raj <raj.khem@gmail.com>
* native.bbclass: define empty PACKAGES_DYNAMICMartin Jansa2011-03-221-0/+2
| | | | | | | | | | | | | | | | | | | * suggested by kergoth on #oe as response to similar patch limited to gtk+ http://lists.linuxtogo.org/pipermail/openembedded-devel/2011-March/031074.html 15:03 < kergoth_> JaMa: pretty sure we just need PACKAGES_DYNAMIC = "" and PACKAGES_DYNAMIC_virtclass-native = "" in native.bbclass. everyone i've talked to so far as agreed that it's a sane approach, including RP. * otherwise couple of errors like this are shown NOTE: multiple providers are available for runtime gdk-pixbuf-loader-gif (gtk+-native, gtk+, gtk+-fastscaling) NOTE: consider defining a PREFERRED_PROVIDER entry to match gdk-pixbuf-loader-gif ERROR: Trying to resolve runtime dependency gdk-pixbuf-loader-xpm resulted in conflicting PREFERRED_PROVIDER entries being found. The providers found were: ['/OE/dev/recipes/gtk+/gtk+_2.20.1.bb', 'virtual:native:/OE/dev/recipes/gtk+/gtk+_2.20.0.bb'] The PREFERRED_PROVIDER entries resulting in this conflict were: ['PREFERRED_PROVIDER_gtk+ = gtk+', 'PREFERRED_PROVIDER_gdk-pixbuf-csource-native = gtk+-native'] Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com> Acked-by: Otavio Salvador <otavio@ossystems.com.br>
* bitbake.conf: define shared PERSISTENT_DIRMartin Jansa2011-03-221-0/+2
| | | | | | | | | | | | | | | * import from poky 6a11cf7dfe930461a6660e3b783b546fa2634900 * we had CACHE var pointing to machine specific dir since 2006 caf077679022f37ce55d758101f130e4e93bd7b5 * current bitbake is looking for cache dir like this: cachedir = (bb.data.getVar("PERSISTENT_DIR", d, True) or bb.data.getVar("CACHE", d, True)) which without PERSISTENT_DIR defined picks machine-specific CACHE dir so LOCALCOUNT numbers in SRCPV keeps rolling with every MACHINE switch in same builddir :/ Acked-by: Richard Purdie <richard.purdie@linuxfoundation.org> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* coreutils-native: Disable gmp supportTom Rini2011-03-222-1/+2
| | | | | | | Without this option it will link vs the host libgmp (or not) depending on what's thre which can lead to cache inconsistencies. Signed-off-by: Tom Rini <tom_rini@mentor.com>
* e-wm: use ESYSACTIONS,EMENU,ECONFIG,ETHEME variables instead of hardcoded ↵Martin Jansa2011-03-2210-26/+32
| | | | | | | | | | | | | | | e-wm-sysactions/e-wm-menu runtime dependency * ILLUME_THEME/ILLUME_CONFIG were renamed to ETHEME/ECONFIG to use the same variable names as task-demo-x11/task-beagleboard-* * e-wm-sysactions-shr doesn't need RPROVIDES anymore * fixes last multiple providers notice I had NOTE: multiple providers are available for runtime e-wm-sysactions (e-wm, e-wm-sysactions-shr) NOTE: consider defining a PREFERRED_PROVIDER entry to match e-wm-sysactions Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* local.conf: add example to use external angstrom toolchainDenys Dmytriyenko2011-03-211-1/+9
| | | | Signed-off-by: Denys Dmytriyenko <denys@ti.com>
* external-toolchain-angstrom: use pre-built Angstrom toolchainDenys Dmytriyenko2011-03-202-0/+478
| | | | | | | | * Use pre-built Angstrom toolchain available from [1] as external one [1] http://www.angstrom-distribution.org/toolchains/ Signed-off-by: Denys Dmytriyenko <denys@ti.com>
* valgrind: update to 3.6.1Alex Bennee2011-03-194-45/+23
| | | | | | | | | | I took the opportunity to move the common stuff for building Valgrind into a common valgrind.inc. I also removed the fix-link-tool.patch which was breaking the build. I'm not sure what the patch was trying to achieve. Signed-off-by: Alex Bennee <ajb@cbnl.com> Signed-off-by: Khem Raj <raj.khem@gmail.com>
* mango-lassi: `touch config.rpath` to fix `configure.ac:127: required file ↵Paul Menzel2011-03-191-0/+3
| | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | `./config.rpath' not found` Task configure fails with the following error message. Build Configuration: BB_VERSION = "1.12.0" METADATA_BRANCH = "<unknown>" METADATA_REVISION = "b1fbaf6" TARGET_ARCH = "arm" TARGET_OS = "linux-gnueabi" MACHINE = "beagleboard" DISTRO = "angstrom" DISTRO_VERSION = "v20110315" TARGET_FPU = "hard" […] autoreconf: running: /oe/build-angstrom-next/angstrom-dev/sysroots/i686-linux/usr/bin/autoheader --include=/oe/build-angstrom-next/angstrom-dev/sysroots/armv7a-angstrom-linux-gnueabi/usr/share/aclocal-1.11 --include=/oe/build-angstrom-next/angstrom-dev/sysroots/armv7a-angstrom-linux-gnueabi/usr/share/aclocal --force --warnings=cross autoreconf: running: automake --foreign --add-missing --copy --force-missing --warnings=cross automake: unknown warning category `cross' configure.ac:39: installing `./compile' configure.ac:127: installing `./config.guess' configure.ac:127: required file `./config.rpath' not found configure.ac:127: installing `./config.sub' configure.ac:27: installing `./install-sh' configure.ac:27: installing `./missing' Makefile.am: installing `./depcomp' autoreconf: automake failed with exit status: 1 + oefatal 'autoreconf execution failed.' + echo FATAL: 'autoreconf execution failed.' FATAL: autoreconf execution failed. + exit 1 `touch config.rpath` in `do_configure_perpend() {}` fixes the issues. Mango Lasso includes `bootstrap.sh` [1] which also does the same. Using `bootstrap.sh` [1] for configuring Mango Lassi is not considered because `pulseaudio_git.bb` [2] also uses the proposed fix. [1] http://git.0pointer.de/?p=mango-lassi.git;a=blob;f=bootstrap.sh;h=089d445b3cce3374b48fc083f1f87983c4100052;hb=HEAD [2] http://cgit.openembedded.org/cgit.cgi/openembedded/tree/recipes/pulseaudio/pulseaudio_git.bb?id=fcb12f3a4448621ccc75d37dcad4a01820fdf89d#n27 Signed-off-by: Paul Menzel <paulepanter@users.sourceforge.net> Signed-off-by: Khem Raj <raj.khem@gmail.com>
* autoconf213: Fix build failure due to missing Makefile.amKhem Raj2011-03-192-4/+13
| | | | | | | | | We share autoconf.inc between autoconf 2.13 and 2.6x and 2.13 does not have Makefile.am so we make it conditional We define do_configure to just run configure Signed-off-by: Khem Raj <raj.khem@gmail.com>
* angstrom.bbclass rename to angstrom-blacklistGraeme Gregory2011-03-194-3/+3
| | | | | | | | originally I had another couple of utility functions in this class but I removed them before pushing upstream. Rename now so its purpose is clearer. Signed-off-by: Graeme Gregory <dp@xora.org.uk>
* task-fso2-compliance: fsomusicd is goneMichael 'Mickey' Lauer2011-03-191-2/+1
|
* fso-[illume-]image: remove alsa-state, fsoaudiod handles the audio subsystem nowMichael 'Mickey' Lauer2011-03-192-3/+1
|
* android-rpc: also package missing dbus service fileMichael 'Mickey' Lauer2011-03-191-1/+4
|
* vala: 0.11.6.1 -> 0.11.7.1; remove 0.11.0.1 and 0.11.3.1Michael 'Mickey' Lauer2011-03-194-18/+6
|
* linux-omap_2.6.38.bb : update to latestGraeme Gregory2011-03-198-6820/+221
| | | | | | | | tmlind tree hasnt switch to 2.6.38 versioning yet, so this is still -rc8. Rebased the patches and added one to make SMC instruction compile and support XM rev C Signed-off-by: Graeme Gregory <dp@xora.org.uk>
* angstrom.bbclass : make message use DISTRO varGraeme Gregory2011-03-191-2/+3
| | | | | | | Use the DISTRO variable for the name of the distro making this class distro neutral. Signed-off-by: Graeme Gregory <dp@xora.org.uk>
* qt4-x11-free: fix up GLES recipeKoen Kooi2011-03-181-1/+3
| | | | | | As with the 4.6.x version, this will only build if you don't have regular qt/x11 in staging. If you do, you will get QGL:: link failures. Signed-off-by: Koen Kooi <koen@openembedded.org>
* qt4-embedded 4.7.2: add GLES2 recipeKoen Kooi2011-03-181-0/+19
| | | | | | As with the 4.6.x version, this will only build if you don't have regular qt/e in staging. If you do, you will get QEGL:: link failures. Signed-off-by: Koen Kooi <koen@openembedded.org>
* angstrom: copy parts of SHR blacklistKoen Kooi2011-03-181-0/+6
| | | | Signed-off-by: Koen Kooi <koen@openembedded.org>
* frameworkd: add python-sqlite3 to RDEPENDSNeil Jerram2011-03-181-1/+2
| | | | | | * Otherwise opimd doesn't work at runtime Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* shr-settings: add elementary.sh for htcleoLukas-David Gorris2011-03-181-0/+4
| | | | | | * Based on GNUtoo's config for nexus one. Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* xfce4-session_4.6.1: fix typo s/ibxfcegui4/libxfcegui4/Paul Menzel2011-03-181-1/+1
| | | | | | | | | This is a fix up for commit 7a92f740 [1] which was edited [2] before committing to fix some style issues introducing the typo. [1] http://cgit.openembedded.org/cgit.cgi/openembedded/commit/?id=7a92f740433a3268faa5e3448671a24f3eb42884 [2] http://patches.openembedded.org/patch/1205/ Signed-off-by: Paul Menzel <paulepanter@users.sourceforge.net>
* gnutls-2.10.4: add missing quote to PRMartin Jansa2011-03-181-1/+1
| | | | | | | | | | | | | | | | | | | | | | | | | * is something wrong with parser in bitbake master? IIRC we had parse exceptions before for similar typos * missing quote produces not so nice error like this NOTE: Running task 1010 of 1049 (ID: 31, /OE/dev/recipes/gnutls/gnutls_2.10.4.bb, do_setscene) NOTE: package gnutls-2.10.4-"r11.2: task do_setscene: Started ERROR: Error in compiling python function in /OE/dev/recipes/gnutls/gnutls_2.10.4.bb ERROR: invalid syntax (packagestage_scenefunc, line 13) ERROR: The lines leading to this error were: ERROR: 13:SyntaxError:' stagepkg = bb.data.expand("/OE/tmpdir-shr/pstage/shreglibc/staging-gnutls-armv4t-oe-linux-gnueabi_2.10.4-"r11.2_armv4t-linux-gnueabi.ipk", d)' ERROR: 0009: removepkg = bb.data.expand("staging-gnutls-armv4t-oe-linux-gnueabi", d) ERROR: 0010: ERROR: 0011: pstage_cleanpackage(removepkg, d) ERROR: 0012: ERROR: *** 0013: stagepkg = bb.data.expand("/OE/tmpdir-shr/pstage/shreglibc/staging-gnutls-armv4t-oe-linux-gnueabi_2.10.4-"r11.2_armv4t-linux-gnueabi.ipk", d) ERROR: 0014: if not os.path.exists(stagepkg): ERROR: 0015: staging_fetch(stagepkg, d) ERROR: 0016: ERROR: 0017: if os.path.exists(stagepkg): ERROR: Function 'packagestage_scenefunc' failed ERROR: Logfile of failure stored in: /OE/tmpdir-shr/work/armv4t-oe-linux-gnueabi/gnutls-2.10.4-"r11.2/temp/log.do_setscene.15953 Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* gnutls_2.10.4.bb: Revert the -Os -g workaround.Khem Raj2011-03-171-6/+1
| | | | | | We have taken care of this in GCC Signed-off-by: Khem Raj <raj.khem@gmail.com>
* gcc-4.5: Fix the ARM ICE regression at -Os -gKhem Raj2011-03-172-4/+88
| | | | | | | | This holds off the patches that cause the ICE at -Os -g for now. The other workaround it to use -fno-shrink-wrap but it has to go into all affected recipes Signed-off-by: Khem Raj <raj.khem@gmail.com>